rm *.tmp
kfod disk=all |grep Mb |awk '{print $4}' >all_disk_list.tmp

for DNAME in `cat all_disk_list.tmp`
do
echo $DNAME `kfed read $DNAME |grep grpname` >> all_disk_diskgrp.tmp
done

cat all_disk_diskgrp.tmp |sort -k3 |awk '{print $1 " " $3}'> order_all_disk_diskgrp.tmp

for DNAME in `cat order_all_disk_diskgrp.tmp|awk '{print $1}'`
do
echo $DNAME `kfed read $DNAME |grep f1b1` >> f1b1_all_disk.tmp
done


for DNAME in `cat order_all_disk_diskgrp.tmp|awk '{print $1}'`
do
echo $DNAME `kfed read $DNAME |grep 'kfdhdb.dsknum'` >> disknum.tmp
done


join order_all_disk_diskgrp.tmp f1b1_all_disk.tmp >dsk_grp_f1b1.tmp
join dsk_grp_f1b1.tmp disknum.tmp >dsk_grp_f1b1_dsknum.tmp

echo "#####################################" >>show_result.tmp
echo "#  ASM Disk Metadata Info" >>show_result.tmp
echo "#####################################" >>show_result.tmp
echo " " >>show_result.tmp


echo "----------------------------" >>show_result.tmp
echo "ALL DISK INFO:" >>show_result.tmp
echo "============================" >>show_result.tmp
cat dsk_grp_f1b1_dsknum.tmp >>show_result.tmp 
echo " " >>show_result.tmp
echo " " >>show_result.tmp

echo "----------------------------" >>show_result.tmp
echo "FILE_DIR(f1b1) INFO:" >>show_result.tmp
echo "============================" >>show_result.tmp
cat dsk_grp_f1b1_dsknum.tmp |grep -v "kfdhdb.f1b1locn: 0" >>show_result.tmp 
echo " " >>show_result.tmp
echo " " >>show_result.tmp

for DNAME in `cat dsk_grp_f1b1_dsknum.tmp|grep -v "kfdhdb.f1b1locn: 0"|awk '{print $1}'`
do
PATHNAME=`cat dsk_grp_f1b1_dsknum.tmp|grep $DNAME|grep -v "kfdhdb.f1b1locn: 0"|awk '{print $1}'`
GRPNAME=`cat dsk_grp_f1b1_dsknum.tmp|grep $DNAME|grep -v "kfdhdb.f1b1locn: 0"|awk '{print $2}'`
AUM=`cat dsk_grp_f1b1_dsknum.tmp|grep $DNAME|grep -v "kfdhdb.f1b1locn: 0"|awk '{print $4}'`
echo "==> "$GRPNAME" :" >>filedir.tmp
kfed read $PATHNAME aun=$AUM blkn=2 |egrep 'xptr.au|xptr.disk' |grep -v '0xffff'>>filedir.tmp
echo "------------" >>filedir.tmp
done


echo "----------------------------" >>show_result.tmp
echo "DISK_DIR LOC:" >>show_result.tmp
echo "============================" >>show_result.tmp
cat filedir.tmp >>show_result.tmp 
cat show_result.tmp 


cp show_result.tmp chk_result_`date "+%Y%m%d%H%M%S"`.txt
rm *.tmp 
